---
title: 'Puzzle Jam II: Finished! Laser Link!'
date: 2020-06-19
tags:
  - Unity
  - Games
coverImage: /images/uploads/laserlink-cover.jpg
description: >-
  Introducing: Laser Link, a sliding space-themed puzzle game for Windows.
---

It all started with the theme of _Slide_ for [8 Bits to Infinity's Puzzle Jam II](https://itch.io/jam/puzzle-jam-ii).

Inspired by the teachings of [Game Maker's Toolkit (GMTK)](https://www.youtube.com/user/McBacon1337) I was inspired to make a puzzle game with as few controls as possible with emergent game properties that arose from simple gameplay elements. In this case, the game would use the Arrow keys to slide lasers horizontally or vertically all at once, no need to choose which laser you would move or how fast. The goal was to very obviously show cause and effect of player movements and its reaction to the active puzzle via mirrors, walls, charge points and boosters that all simply affect your lasers in simple ways.

## Early Prototypes

Basic laser movement...

![Laser Prototype Animation](/images/uploads/early-laser-prototype.gif)

With mirrors...

![Laser Prototype Animation](/images/uploads/laser-prototype-2.gif)

After some art...

![Laser Mirror Prototype with Art](/images/uploads/laserlink-prototype-art2.gif)

Art with mirrors...

![Laser Mirror Prototype with Art](/images/uploads/laserlink-prototype-art.gif)

### Community

All of this prototyping was shared in the Discord community with 8 Bits to Infinity. I found this process to be invaluable! Getting emoji reacts and hearing about other game jam participants making progress on their own games made it so much easier to complete this game within the timeframe.

I was also lucky enough to team up with Alptrack who provided the music, sound effects, some level designs and lots of ideas/support along the way! You can see her contributions in the final product...

## The Finished Product

The game is [ready for ratings in the Game Jam here](https://itch.io/jam/puzzle-jam-ii/rate/675405) and will always be [available at Itch.io: Laser Link](https://gaiety.itch.io/laser-link).

![Laser Link Preview 1](/images/uploads/laserlink-1.png)

---

![Laser Link Preview 2](/images/uploads/laserlink-2.png)




